Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api
Class Button

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.api.Button

public class Button
extends GenObject

Field Summary
`static int` | `buttonStateDown`
`static int` | `buttonStateNone`
`static int` | `buttonStateOver`
`static int` | `buttonStateTest`
`static int` | `buttonStateUp`
`static int` | `buttonTrackAsButton`
`static int` | `buttonTrackAsMenu`

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`` | `Button()`
`` | `Button(boolean flag)`
`protected` | `Button(int i)`

Method Summary
`void` | `addAction(Action action)`
`void` | `addScript(Script script, Matrix matrix, int i, int j)`
`void` | `addShape(Shape shape, Matrix matrix, int i, int j)`
`void` | `addText(Text text, Matrix matrix, int i, int j)`
`protected void` | `finalize()`
`Rect` | `getBounds()`
`void` | `release()`
`void` | `setCenter(int i, int j)`
`void` | `setTracking(int i)`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buttonStateNone

    public static final int buttonStateNone

### buttonStateUp

    public static final int buttonStateUp

### buttonStateOver

    public static final int buttonStateOver

### buttonStateDown

    public static final int buttonStateDown

### buttonStateTest

    public static final int buttonStateTest

### buttonTrackAsButton

    public static final int buttonTrackAsButton

### buttonTrackAsMenu

    public static final int buttonTrackAsMenu

Constructor Detail

### Button

    public Button()
           throws GeneratorApiException

### Button

    protected Button(int i)
              throws GeneratorApiException

### Button

    public Button(boolean flag)
           throws GeneratorApiException

Method Detail

### addAction

    public void addAction(Action action)
                   throws GeneratorApiException

### addScript

    public void addScript(Script script,
                          Matrix matrix,
                          int i,
                          int j)
                   throws GeneratorApiException

### addShape

    public void addShape(Shape shape,
                         Matrix matrix,
                         int i,
                         int j)
                  throws GeneratorApiException

### addText

    public void addText(Text text,
                        Matrix matrix,
                        int i,
                        int j)
                 throws GeneratorApiException

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getBounds

    public Rect getBounds()
                   throws GeneratorApiException

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### setCenter

    public void setCenter(int i,
                          int j)
                   throws GeneratorApiException

### setTracking

    public void setTracking(int i)
                     throws GeneratorApiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD